aboutsummaryrefslogtreecommitdiffstats
path: root/priv/templates/erl_script.dtl
diff options
context:
space:
mode:
authorJordan Wilberding <[email protected]>2014-03-11 12:06:57 +0100
committerJordan Wilberding <[email protected]>2014-03-11 12:06:57 +0100
commit6c962c924086fcfbc8b5e463aa6a50f1521a65f7 (patch)
tree4c24f70e61175744b6008a2f22331ef579a2cee8 /priv/templates/erl_script.dtl
parenteeeef1ef2648fa9815f0f61acbfe9576b2884890 (diff)
parentf32a0a44f2e0748122d90a708cbff0003762c2ba (diff)
downloadrelx-6c962c924086fcfbc8b5e463aa6a50f1521a65f7.tar.gz
relx-6c962c924086fcfbc8b5e463aa6a50f1521a65f7.tar.bz2
relx-6c962c924086fcfbc8b5e463aa6a50f1521a65f7.zip
Merge pull request #128 from nuex/dtl_scripts
Make scripts in rlx_prv_assembler DTL templates
Diffstat (limited to 'priv/templates/erl_script.dtl')
-rw-r--r--priv/templates/erl_script.dtl13
1 files changed, 13 insertions, 0 deletions
diff --git a/priv/templates/erl_script.dtl b/priv/templates/erl_script.dtl
new file mode 100644
index 0000000..72e93dd
--- /dev/null
+++ b/priv/templates/erl_script.dtl
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+SCRIPT_DIR=`dirname $0`
+ROOTDIR=`cd $SCRIPT_DIR/../../ && pwd`
+BINDIR=$ROOTDIR/erts-{{ erts_vsn }}/bin
+EMU=beam
+PROGNAME=`echo $0 | sed 's/.*\\///'`
+export EMU
+export ROOTDIR
+export BINDIR
+export PROGNAME
+exec "$BINDIR/erlexec" ${1+"$@"}